View Issue Details

IDProjectCategoryView StatusLast Update
0003372GNUnetcadet servicepublic2018-06-07 00:25
ReporterBart PolotAssigned ToBart Polot 
PriorityurgentSeveritycrashReproducibilityrandom
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0003372: Mesh creshes while trying to destroy a tunnel twice.
DescriptionGNU gdb (GDB) 7.7
Copyright (C) 2014 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law. Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-unknown-linux-gnu".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>.
Find the GDB manual and other documentation resources online at:
<http://www.gnu.org/software/gdb/documentation/>.
For help, type "help".
Type "apropos word" to search for commands related to "word"...
Reading symbols from /tmp/gnunet/lib/gnunet/libexec/gnunet-service-mesh...done.

warning: core file may not match specified executable file.
[New LWP 14781]

warning: Could not load shared library symbols for linux-vdso.so.1.
Do you need "set solib-search-path" or "set sysroot"?
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/usr/lib/libthread_db.so.1".
Core was generated by `/tmp/gnunet/lib//gnunet/libexec/gnunet-service-mesh -c /tmp/testbedLasI2a/0/con'.
Program terminated with signal SIGSEGV, Segmentation fault.
#0 0x000000000040a070 in delayed_destroy (cls=0xe63bc0, tc=0x7fff3fc0cc70) at gnunet-service-mesh_tunnel.c:2113
2113 GMC_send_destroy (iter->c);
(gdb) p *iter
Cannot access memory at address 0xdf0adba0df0adba
(gdb) l
2108 t->destroy_task = GNUNET_SCHEDULER_NO_TASK;
2109 t->cstate = MESH_TUNNEL3_SHUTDOWN;
2110
2111 for (iter = t->connection_head; NULL != iter; iter = iter->next)
2112 {
2113 GMC_send_destroy (iter->c);
2114 }
2115 GMT_destroy (t);
2116 }
2117
(gdb) p *t
$1 = {peer = 0xe626a0, cstate = MESH_TUNNEL3_SHUTDOWN, estate = MESH_TUNNEL3_KEY_UNINITIALIZED,
  kx_ctx = 0xdf0adba0df0adba, e_key = {
    aes_key = "\272\255\360\r\272\255\360\r\272\255\360\r\272\255\360\r\272\255\360\r\272\255\360\r\272\255\360\r\272\255\360\r",
    twofish_key = "\272\255\360\r\272\255\360\r\272\255\360\r\272\255\360\r\272\255\360\r\272\255\360\r\272\255\360\r\272\255\360\r"}, d_key = {
    aes_key = "\272\255\360\r\272\255\360\r\272\255\360\r\272\255\360\r\272\255\360\r\272\255\360\r\272\255\360\r\272\255\360\r",
    twofish_key = "\272\255\360\r\272\255\360\r\272\255\360\r\272\255\360\r\272\255\360\r\272\255\360\r\272\255\360\r\272\255\360\r"}, rekey_task = 1004493731513019834, connection_head = 0xdf0adba0df0adba,
  connection_tail = 0xdf0adba0df0adba, next_cid = 233876922, channel_head = 0xdf0adba0df0adba,
  channel_tail = 0xdf0adba0df0adba, next_chid = 233876922, destroy_task = 0, tq_head = 0xdf0adba0df0adba,
  tq_tail = 0xdf0adba0df0adba}
(gdb) bt full
#0 0x000000000040a070 in delayed_destroy (cls=0xe63bc0, tc=0x7fff3fc0cc70) at gnunet-service-mesh_tunnel.c:2113
        t = 0xe63bc0
        iter = 0xdf0adba0df0adba
#1 0x00007fec5badfe0c in run_ready (rs=0xe501e0, ws=0xe50270) at scheduler.c:595
        p = GNUNET_SCHEDULER_PRIORITY_DEFAULT
        pos = 0xe63f10
        tc = {reason = GNUNET_SCHEDULER_REASON_TIMEOUT, read_ready = 0xe501e0, write_ready = 0xe50270}
        __FUNCTION__ = "run_ready"
#2 0x00007fec5bae069a in GNUNET_SCHEDULER_run (task=0x7fec5baec93f <service_task>, task_cls=0x7fff3fc0d010)
    at scheduler.c:817
        rs = 0xe501e0
        ws = 0xe50270
        timeout = {rel_value_us = 59999573}
        ret = 0
        shc_int = 0xe50c10
        shc_term = 0xe50cd0
        shc_quit = 0xe50e50
        shc_hup = 0xe50f10
        shc_pipe = 0xe50d90
        last_tr = 7512
        busy_wait_warning = 0
        pr = 0xe52c50
        c = 0 '\000'
        __FUNCTION__ = "GNUNET_SCHEDULER_run"
#3 0x00007fec5baee6d3 in GNUNET_SERVICE_run (argc=3, argv=0x7fff3fc0d2a8, service_name=0x42f661 "mesh",
    options=GNUNET_SERVICE_OPTION_NONE, task=0x42a0e0 <run>, task_cls=0x0) at service.c:1493
        err = 0
        ret = 3
        cfg_fn = 0xe477c0 "~/.config/gnunet.conf"
        opt_cfg_fn = 0xe47910 "/tmp/testbedLasI2a/0/config"
        loglev = 0x0
        logfile = 0x0
        do_daemonize = 0
        i = 4366560
        skew_offset = 140653133771912
        skew_variance = 140734262989296
        clock_offset = 4207888
        sctx = {cfg = 0xe477e0, server = 0xe51260, addrs = 0xe4a6c0, service_name = 0x42f661 "mesh",
          task = 0x42a0e0 <run>, task_cls = 0x0, v4_denied = 0x0, v6_denied = 0x0, v4_allowed = 0xe5f300,
          v6_allowed = 0xe50180, my_handlers = 0xe54c10, addrlens = 0xe52f50, lsocks = 0x0, shutdown_task = 0,
          timeout = {rel_value_us = 18446744073709551615}, ret = 1, ready_confirm_fd = -1, require_found = 1,
          match_uid = 1, match_gid = 1, options = GNUNET_SERVICE_OPTION_NONE}
        cfg = 0xe477e0
        xdg = 0x0
        service_options = {{shortName = 99 'c', name = 0x7fec5bafc28d "config",
            argumentHelp = 0x7fec5bafc294 "FILENAME",
            description = 0x7fec5bafc2a0 "use configuration file FILENAME", require_argument = 1,
            processor = 0x7fec5bacdc0c <GNUNET_GETOPT_set_string>, scls = 0x7fff3fc0d0c8}, {shortName = 100 'd',
            name = 0x7fec5bafc2c0 "daemonize", argumentHelp = 0x0,
            description = 0x7fec5bafc2d0 "do daemonize (detach from terminal)", require_argument = 0,
            processor = 0x7fec5bacdbdf <GNUNET_GETOPT_set_one>, scls = 0x7fff3fc0d0b4}, {shortName = 104 'h',
            name = 0x7fec5bafc2f4 "help", argumentHelp = 0x0, description = 0x7fec5bafc2f9 "print this help",
            require_argument = 0, processor = 0x7fec5bacd6a6 <GNUNET_GETOPT_format_help_>, scls = 0x0}, {
            shortName = 76 'L', name = 0x7fec5bafc309 "log", argumentHelp = 0x7fec5bafc30d "LOGLEVEL",
            description = 0x7fec5bafc318 "configure logging to use LOGLEVEL", require_argument = 1,
            processor = 0x7fec5bacdc0c <GNUNET_GETOPT_set_string>, scls = 0x7fff3fc0d0c0}, {shortName = 108 'l',
            name = 0x7fec5bafc33a "logfile", argumentHelp = 0x7fec5bafc342 "LOGFILE",
            description = 0x7fec5bafc350 "configure logging to write logs to LOGFILE", require_argument = 1,
            processor = 0x7fec5bacdc0c <GNUNET_GETOPT_set_string>, scls = 0x7fff3fc0d0b8}, {shortName = 118 'v',
            name = 0x7fec5bafc37b "version", argumentHelp = 0x0,
            description = 0x7fec5bafc383 "print the version number", require_argument = 0,
            processor = 0x7fec5bacd660 <GNUNET_GETOPT_print_version_>, scls = 0x7fec5bafc39c}, {
            shortName = 0 '\000', name = 0x0, argumentHelp = 0x0, description = 0x0, require_argument = 0,
---Type <return> to continue, or q <return> to quit---
            processor = 0x0, scls = 0x0}}
        __FUNCTION__ = "GNUNET_SERVICE_run"
#4 0x000000000042a468 in main (argc=3, argv=0x7fff3fc0d2a8) at gnunet-service-mesh.c:175
        ret = 0
        r = 0
(gdb)
TagsNo tags attached.

Relationships

related to 0003366 closedBart Polot Assertion failed at gnunet-service-mesh_tunnel.c:2132 

Activities

Bart Polot

2014-04-10 02:03

manager   ~0008225

Fixed in r33009.

Issue History

Date Modified Username Field Change
2014-04-09 15:24 Bart Polot New Issue
2014-04-09 15:24 Bart Polot Status new => assigned
2014-04-09 15:24 Bart Polot Assigned To => Bart Polot
2014-04-09 15:25 Bart Polot Relationship added related to 0003366
2014-04-10 02:03 Bart Polot Note Added: 0008225
2014-04-10 02:03 Bart Polot Status assigned => resolved
2014-04-10 02:03 Bart Polot Fixed in Version => SVN HEAD
2014-04-10 02:03 Bart Polot Resolution open => fixed
2014-04-10 19:10 Christian Grothoff Fixed in Version SVN HEAD => 0.11.0pre66
2014-05-09 18:34 Christian Grothoff Category mesh service => cadet service
2018-06-07 00:25 Christian Grothoff Status resolved => closed